> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# create project

> create a new project



## OpenAPI

````yaml /api-reference/openapi.json post /projects
openapi: 3.0.0
info:
  title: BevorAI API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: code
    description: >-
      Used for retrieving or creating smart contract references. Required for
      creating analyses.
  - name: analysis
    description: Managing security analyses
  - name: chat
    description: Chat functionality for interacting with audit results
paths:
  /projects:
    post:
      tags:
        - project
      summary: create project
      description: create a new project
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  type: string
                  nullable: true
                description:
                  type: string
                  nullable: true
                tags:
                  items:
                    type: string
                  type: array
                  nullable: true
                github_repo_id:
                  type: integer
                  nullable: true
                  description: GitHub repository ID to link this project to
              title: CreateProjectBody
              type: object
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                  name:
                    title: Name
                    type: string
                  slug:
                    title: Slug
                    type: string
                  description:
                    type: string
                    nullable: true
                  tags:
                    items:
                      type: string
                    title: Tags
                    type: array
                  team_id:
                    title: Team Id
                    type: string
                  created_by_user_id:
                    title: Created By User Id
                    type: string
                  is_default:
                    title: Is Default
                    type: boolean
                  github_repo_id:
                    type: integer
                    nullable: true
                  n_codes:
                    title: N Codes
                    type: integer
                  n_analyses:
                    title: N Analyses
                    type: integer
                  team:
                    $ref: '#/components/schemas/TeamSchema'
                  created_by_user:
                    $ref: '#/components/schemas/UserSchema'
                  github_repo:
                    $ref: '#/components/schemas/RepoSchema'
                    nullable: true
                required:
                  - id
                  - created_at
                  - name
                  - slug
                  - team_id
                  - created_by_user_id
                  - is_default
                  - n_codes
                  - n_analyses
                  - team
                  - created_by_user
                title: ProjectDetailedSchema
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    TeamSchema:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
        is_default:
          title: Is Default
          type: boolean
        created_by_user_id:
          title: Created By User Id
          type: string
      required:
        - id
        - created_at
        - name
        - slug
        - is_default
        - created_by_user_id
      title: TeamSchema
      type: object
    UserSchema:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        username:
          title: Username
          type: string
      required:
        - id
        - created_at
        - username
      title: UserSchema
      type: object
    RepoSchema:
      properties:
        id:
          title: Id
          type: integer
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        name:
          title: Name
          type: string
        is_private:
          title: Is Private
          type: boolean
        is_active:
          title: Is Active
          type: boolean
        installation:
          type: string
      required:
        - id
        - created_at
        - updated_at
        - name
        - is_private
        - is_active
        - installation
      title: RepoSchema
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - error.not_found
            - error.validation
            - error.server
            - error.invalid_scope
            - error.limit
            - error.entity_deletedcompiler.error
            - compiler.validation_error
            - compiler.authorization_error
            - compiler.not_found_error
            - compiler.invalid_version_error
            - compiler.old_version_error
            - explorer.contract_not_verified_error
            - explorer.contract_not_found_error
            - explorer.contract_fetch_error
            - compiler.internal_error
            - compiler.binary_error
            - compiler.compiler_error
            - ast.invalid_node
            - ast.invalid_reference
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````